<nav class="navbar is-dark" role="navigation" aria-label="main navigation">
  <div class="navbar-brand">
    <a class="navbar-item" href="/">
      <img src="/img/logowhite.png" height="28" class="image mr-2">
      <span class="has-text-weight-bold is-family-primary">
        Code Challenge <br/>
        <span class="is-size-7 has-text-weight-light is-family-code">[dot] dev</span>
      </span>
    </a>

    <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
    </a>
  </div>

  <div id="navbarBasicExample" class="navbar-menu">
    <div class="navbar-start">
      <a class="navbar-item" href="/app">
        Home
      </a>

      <a class="navbar-item" href="https://docs.codechallenge.dev" target="_blank">
        Documentation
      </a>

      <div class="navbar-item has-dropdown is-hoverable is-hidden">
        <a class="navbar-link">
          More
        </a>

        <div class="navbar-dropdown">
          <a class="navbar-item">
            Profile
          </a>
          <a class="navbar-item">
            Jobs
          </a>
          <a class="navbar-item">
            Contact
          </a>
          <hr class="navbar-divider">
          <a class="navbar-item">
            Report an issue
          </a>
        </div>
      </div>
    </div>

    <div class="navbar-end">
        {{#if currentUser}}
            {{> userinfo}}
        {{else}}
        <div class="navbar-item">
            <div class="buttons">
            <a class="button is-primary" href="/signup">
                <strong>Sign up</strong>
            </a>
            <a class="button is-light" href="/login">
                Log in
            </a>
            </div>
        </div>
        {{/if}}
    </div>
  </div>
</nav>